int SensorPin = A0;   
int LedPin = 13;      
int SensorValue = 0; 
int MoisturePercent = 0;

void setup() {
  pinMode(LedPin, OUTPUT);
  pinMode(SensorPin, INPUT);
  Serial.begin(9600);
}

void loop() {
  SensorValue = analogRead(SensorPin);
  
  // Map sensor value (assuming 0 = wet, 1023 = dry)
  MoisturePercent = map(SensorValue, 1023, 0, 0, 100);  // Inverted for moisture

  Serial.print("Raw: ");
  Serial.print(SensorValue);
  Serial.print(" -> Moisture: ");
  Serial.print(MoisturePercent);
  Serial.println("%");

  delay(1000);
}
